pro read_base_thickness, detIDNum, thicknessAtOrigin

    find_file, 'absThickAt00.db', dbLocation

    get_lun, unit
    openr, unit, dbLocation
    dummyStr = ''
    run = 0
    detID = 0
    thicknessAtOrigin = 0.0
    while (NOT EOF(unit)) do begin
	readf, unit, dummyStr
	if (strmid(dummyStr, 0, 7) EQ 'NEW_RUN') then begin
	    readf, unit, run, detID, thicknessAtOrigin
	    if (detID EQ detIDNum) then begin
		close, unit
		free_lun, unit
		return
	    endif
	endif
    endwhile

    print, 'Thickness for detector ', detIDNum, ' not found.'
    close, unit
    free_lun, unit

    stop
end
